
Foreman - Bug #25024

Failed to fetch a free IP from proxy - undefined local variable or method `opts' for ms dhcp

server:Proxy::DHCP::NativeMS::Provider

09/24/2018 01:28 PM - Jeff Sparrow

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases: 1.19.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I just upgraded from 1.15 to 1.19 proxies.  I wanted to wait for the MS DHCP API changes to bake in.

Now I am hitting the following error on IP request, which previously worked without issues.

Failed to fetch a free IP from proxy foreman-dhcp-lab3-4 (https://foreman-deploy.lab.beer.town:844

8): ERF12-8202 [ProxyAPI::ProxyException]: Unable to retrieve unused IP ([RestClient::BadRequest]:

 400 Bad Request) for proxy https://foreman-deploy.lab.beer.town:8448/dhcp

 https://gist.github.com/tek0011/432722c057ad0c947414fa8316c3230a

Related issues:

Related to Smart Proxy - Bug #24591: Incorrect error reporting for MS DHCP Closed

History

#1 - 09/24/2018 02:41 PM - Jeff Sparrow

It appears the issue is only related to finding a new IP.

I am able to manually give it an IP and provision it.  Obviously this isnt ideal, as I have to manually search for an IP each time.

#2 - 09/24/2018 05:01 PM - Jeff Sparrow

Seeing this error while looking at the servers processes during a request.  Any idea if this means anything?

 01wJFuR.png 

#3 - 09/24/2018 05:08 PM - Jeff Sparrow

I created the folder and now it looks like it wants to create another folder thats missing.   Something seems quite wrong here.

 55RRlSe.png 

#4 - 09/25/2018 07:15 AM - Lukas Zapletal

- Status changed from New to Duplicate

- Priority changed from High to Normal

Dupe of #24591 fixed upstream. One line patch, apply it onto your instance.

#5 - 09/25/2018 07:16 AM - Lukas Zapletal

- Related to Bug #24591: Incorrect error reporting for MS DHCP added

#6 - 09/25/2018 07:17 AM - Lukas Zapletal

- Fixed in Releases 1.20.0 added

#7 - 09/25/2018 12:01 PM - Jeff Sparrow

Lukas Zapletal wrote:
https://gist.github.com/tek0011/432722c057ad0c947414fa8316c3230a
https://projects.theforeman.org/issues/24591


Dupe of #24591 fixed upstream. One line patch, apply it onto your instance.

 Thanks Lukas.  Worked.
